{
  lib,
  stdenv,
  fetchFromGitHub,
  swiftlint,
}:

stdenv.mkDerivation rec {
  pname = "memorize";
  version = "0.2.4";

  src = fetchFromGitHub {
    owner = "david-swift";
    repo = "Memorize";
    rev = version;
    hash = "sha256-ZvyHWxvWryrYPcWkJ3tk997fPKX6kUWYIw/uMumYr/I=";
  };

  nativeBuildInputs = [
    swiftlint
  ];

  meta = {
    description = "Study flashcards in a native GNOME app";
    homepage = "https://github.com/david-swift/Memorize";
    license = lib.licenses.gpl3Only;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "memorize";
    platforms = lib.platforms.all;
  };
}
